.root {
  color: var(--color-white);
  background-color: transparent;
}

.root-open {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100vw;
  height: 100vh;
  background-color: var(--color-extra-dark);
  overflow-y: auto;
}

@media (min-width: 992px) {
  .root-open {
    grid-template-rows: 60px 1fr;
  }
}

.container {
  composes: container from global;

  display: grid;
  grid-template-columns: 170px min-content;
  grid-template-areas: 'logo trigger';
  justify-content: space-between;
  align-items: center;
  padding-left: 20px;
  padding-right: 24px;
}

@media (min-width: 1280px) {
  .container {
    padding-left: 0;
    padding-right: 0;
  }
}

@media (min-width: 992px) {
  .container {
    grid-template-columns: 256px min-content;
  }
}

@media (min-width: 1280px) {
  .container {
    grid-template-areas: 'logo menu-list';
  }
}

.root-open .container {
  grid-template-rows: 40px 1fr;
  grid-template-areas:
    'logo trigger'
    'accordion accordion';
  row-gap: 10px;
  align-items: flex-start;
  padding: 1.3rem;
}

@media (min-width: 768px) {
  .root-open .container {
    padding-top: 2rem;
    padding-bottom: 2rem;
  }
}

@media (min-width: 992px) {
  .root-open .container {
    grid-template-rows: 60px 1fr;
    row-gap: 20px;
  }
}

.accordion {
  grid-area: accordion;
}

.list {
  position: relative;
  z-index: 3;
  grid-area: menu-list;
  display: none;
  flex-flow: row nowrap;
  justify-content: space-between;
  margin: 0;
  padding: 0;
  width: 860px;
  list-style: none;
}

@media (min-width: 1280px) {
  .list {
    display: flex;
  }
}

@media (min-width: 1680px) {
  .list {
    width: 974px;
  }
}

.link {
  display: block;
  padding: 8px 0;
  font-family: var(--font-family-poppins);
  font-size: 16px;
  color: var(--color-white);
  text-decoration: none;
  white-space: nowrap
}

.linkActive {
  cursor: default;
}

.dropdown_wrapper {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  background-color: var(--color-extra-dark);
  overflow: hidden;
}

.item_active .dropdown_wrapper {
  display: flex;
}

.dropdown_container {
  composes: container from global;
  
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: 30px;
}

.dropdown_list {
  display: flex;
  flex-direction: column;
  padding: 0;
  min-width: 330px;
  list-style: none;
  color: var(--color-white);
  background-color: var(--color-extra-dark);
}

.dropdown_title {
  font-size: 14px;
  line-height: 48px;
  letter-spacing: 5px;
  text-transform: uppercase;
  color: var(--color-hint-of-red);
}

.dropdown_item  {
  position: relative;
  padding-right: 120px;
  min-width: 450px;
}

.dropdown_item .link,
.dropdown_item .linkActive {
  padding: 28px 0;
  font-family: var(--font-family-poppins);
  font-weight: 600;
  font-size: 24px;
  line-height: 39px;
  color: var(--color-white);
  text-decoration: none;
  opacity: 0.5;
  transition: opacity 0.2s ease-out;
}

.dropdown_item .link:hover,
.dropdown_item .link:focus,
.dropdown_item .linkActive {
  opacity: 1;
}

.dropdown_item .link::after,
.dropdown_item .linkActive::after {
  content: '';
  position: absolute;
  top: 42px;
  right: 0;
  width: 2px;
  height: 2px;
  background-color: var(--color-cherry);
  opacity: 0;
  transition: all 0.4s ease-out;
}


.dropdown_item .link:hover::after,
.dropdown_item .link:focus::after,
.dropdown_item .linkActive::after {
  width: 90px;
  opacity: 1;
}

